import asyncio
import datetime

from anon import Bot
from anon.plugin import PluginManager, Plugin
from anon.event import MessageEvent
from anon.event.message import GroupMessage

# (group, times)
repeater = {}


class AnonPlugin(Plugin):
    async def on_load(self):
        await Bot().send_private_message(782981223, f"Anon Started at: {datetime.datetime.now()}")

    async def on_event(self, event: MessageEvent):
        if event.raw == 'anon':
            await event.reply('は？')

        # repeater
        if isinstance(event, GroupMessage):
            group_id = event.gid
            if group_id not in repeater:
                repeater[group_id] = [event.raw, 1]
            else:
                if repeater[group_id][0] == event.raw:
                    repeater[group_id][1] += 1
                    if repeater[group_id][1] == 3:
                        await event.reply(event.raw, quote=False)
                else:
                    repeater[group_id] = [event.raw, 1]

    async def on_shutdown(self):
        await Bot().send_private_message(782981223, f'Anon shutdown at: {datetime.datetime.now()}')


PluginManager().register_plugin(AnonPlugin([MessageEvent]))
